Package org.jfree.report.modules.gui.swing.common

# Class ReportProgressDialog

java.lang.Object
java.awt.Component
java.awt.Container
java.awt.Window
java.awt.Dialog
javax.swing.JDialog
org.jfree.report.modules.gui.swing.common.ReportProgressDialog

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`, `RootPaneContainer`, `WindowConstants`

public class ReportProgressDialog extends JDialog
A progress monitor dialog component that visualizes the report processing progress. It will receive update events from the report processors and updates the UI according to the latest event data.

The progress will be computed according to the currently processed table row. This approach provides relativly accurate data, but assumes that processing all bands consumes roughly the same time.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.JDialog

`JDialog.AccessibleJDialog`

## Nested classes/interfaces inherited from class java.awt.Dialog

`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

## Nested classes/interfaces inherited from class java.awt.Window

`Window.AccessibleAWTWindow, Window.Type`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

### Fields inherited from class javax.swing.JDialog

`accessibleContext, rootPane, rootPaneCheckingEnabled`

### Fields inherited from class java.awt.Dialog

`DEFAULT_MODALITY_TYPE`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Fields inherited from interface javax.swing.WindowConstants

`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

## Constructor Summary

Constructors
Constructor
Description
`ReportProgressDialog()`
Creates a non-modal dialog without a title and without a specified Frame owner.
`ReportProgressDialog(Dialog dialog)`
Creates a non-modal dialog without a title and with the specified Dialog owner.
`ReportProgressDialog(Frame frame)`
Creates a non-modal dialog without a title and with the specified Frame owner.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLayoutText()`
Returns the layout text.
`String`
`getMessage()`
Returns the current message.
`String`
`getOutputText()`
Returns the output text message.
`protected final JLabel`
`getPageCountMessage()`
Returns the current pagecount message component.
`protected final MessageFormat`
`getPageMessageFormatter()`
Returns the current pass message component.
`protected final JLabel`
`getPassCountMessage()`
Returns the current pass message component.
`protected final MessageFormat`
`getPassMessageFormatter()`
Returns the current pass message component.
`protected final JLabel`
`getRowCountMessage()`
Returns the current row message component.
`protected final MessageFormat`
`getRowsMessageFormatter()`
Returns the current pass message component.
`protected boolean`
`isSameMaxRow(int row)`
`void`
`setLayoutText(String layoutText)`
Defines the layout text message.
`void`
`setMessage(String message)`
Defines the current message.
`void`
`setOutputText(String outputText)`
Defines the output text message.
`protected void`
`updatePageMessage(int page)`
Updates the page message label if the current page has changed.
`protected void`
`updatePassMessage(int pass, boolean prepare)`
Updates the pass message label if either the pass or prepare state changed.
`protected void`
`updateRowsMessage(int rows, int maxRows)`
Updates the rows message label if either the rows or maxrows changed.

### Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

### Methods inherited from class java.awt.Dialog

`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setBackground, setModal, setModalityType, setOpacity, setResizable, setShape, setTitle, setUndecorated, setVisible, show, toBack`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ReportProgressDialog

public ReportProgressDialog(Dialog dialog)
Creates a non-modal dialog without a title and with the specified Dialog owner.

Parameters:
  `dialog` - the owner of the dialog

### ReportProgressDialog

public ReportProgressDialog(Frame frame)
Creates a non-modal dialog without a title and with the specified Frame owner.

Parameters:
  `frame` - the owner of the dialog

### ReportProgressDialog

public ReportProgressDialog()
Creates a non-modal dialog without a title and without a specified Frame owner. A shared, hidden frame will be set as the owner of the Dialog.

## Method Details

### getMessage

public String getMessage()
Returns the current message.

Returns:
  the current global message.

### setMessage

public void setMessage(String message)
Defines the current message.

Parameters:
  `message` - the current global message.

### updatePageMessage

protected void updatePageMessage(int page)
Updates the page message label if the current page has changed.

Parameters:
  `page` - the new page parameter.

### updateRowsMessage

protected void updateRowsMessage(int rows, int maxRows)
Updates the rows message label if either the rows or maxrows changed.

Parameters:
  `rows` - the currently processed rows.
  `maxRows` - the maximum number of rows in the report.

### updatePassMessage

protected void updatePassMessage(int pass, boolean prepare)
Updates the pass message label if either the pass or prepare state changed. The pass reflects the current processing level, one level for every function dependency level.

Parameters:
  `pass` - the current reporting pass.
  `prepare` - true, if the current run is a prepare run, false otherwise.

### getPassCountMessage

protected final JLabel getPassCountMessage()
Returns the current pass message component.

Returns:
  the pass message component.

### getPageCountMessage

protected final JLabel getPageCountMessage()
Returns the current pagecount message component.

Returns:
  the page message component.

### getRowCountMessage

protected final JLabel getRowCountMessage()
Returns the current row message component.

Returns:
  the row message component.

### getPageMessageFormatter

protected final MessageFormat getPageMessageFormatter()
Returns the current pass message component.

Returns:
  the pass message component.

### getRowsMessageFormatter

protected final MessageFormat getRowsMessageFormatter()
Returns the current pass message component.

Returns:
  the pass message component.

### getPassMessageFormatter

protected final MessageFormat getPassMessageFormatter()
Returns the current pass message component.

Returns:
  the pass message component.

### getOutputText

public String getOutputText()
Returns the output text message. This text describes the export phases of the report processing.

Returns:
  the output phase description.

### setOutputText

public void setOutputText(String outputText)
Defines the output text message. This text describes the export phases of the report processing.

Parameters:
  `outputText` - the output message.

### getLayoutText

public String getLayoutText()
Returns the layout text. This text describes the prepare phases of the report processing.

Returns:
  the layout text.

### setLayoutText

public void setLayoutText(String layoutText)
Defines the layout text message. This text describes the prepare phases of the report processing.

Parameters:
  `layoutText` - the layout message.

### isSameMaxRow

protected boolean isSameMaxRow(int row)